Summary:        Jakarta Activation Specification and Implementation
Name:           jakarta-activation1
Version:        1.2.2
Release:        3%{?dist}
License:        BSD
URL:            https://jakartaee.github.io/jaf-api/
Source0:        https://github.com/eclipse-ee4j/jaf/archive/%{version}/jaf-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Jakarta Activation lets you take advantage of standard services to:
determine the type of an arbitrary piece of data; encapsulate access to
it; discover the operations available on it; and instantiate the
appropriate bean to perform the operation(s).



%prep
%autosetup -n jaf-api-%{version}

%pom_remove_parent
%pom_disable_module demo

%pom_remove_plugin -r :maven-enforcer-plugin

%pom_remove_plugin :directory-maven-plugin
sed -i 's/${main.basedir}/${basedir}/' pom.xml

%pom_remove_plugin :maven-javadoc-plugin activation

%pom_remove_plugin :osgiversion-maven-plugin
sed -i "s/\${activation.osgiversion}/%{version}/g" activation/pom.xml

%mvn_compat_version jakarta*: 1 %{version} 1.2.1 1.2.0 1.1.1

%mvn_file com.sun.activation:jakarta.activation %{name}/jakarta.activation javax.activation



%build
%mvn_build -j



%install
%mvn_install



%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.2.2-1
- initial
